## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

After running the analysis, the **data table** provides results details about the imported financial data for the current period.

### Logical names and types

Data tables types can be identified by either their `logicalName` or `type` field, depending on the data table, and can be queried accordingly using the following fields:

| Table | Field | Value |
| --- | --- | --- |
| General Ledger Entries | `logicalName` | `gl_journal_lines` |
| General Ledger Transactions | `logicalName` | `gl_journal_tx` |
| Monetary Flows | `type` | `flows_compact` |
| Accounts Payable Entries | `logicalName` | `ap_detail_entries` |
| Accounts Receivable Entries | `logicalName` | `ar_detail_entries` |
| Accounts Payable: End of Period Outstanding Payable | `logicalName` | `ap_detail_union_open_payables` |
| Accounts Receivable: End of Period Outstanding Receivables | `logicalName` | `ar_detail_union_open_receivables` |
| Configured Analysis Entries | `logicalName` | `output_entries_virtual` |

### CSV Formatting

By default, the following CSV formatting is used:
- Comma (`,`) is used as the separator
- Double quotes (`"`) are used as the quote character
- Double quotes (`"`) are used as the quote escape character: (`""`)
- No quote escape escape value is set, as it is not needed
- All headers and values are quoted

The CSV formatting rules can be customized by setting the `csvConfiguration` field. Any values that are not changed will use their default value.

### Inner lists

`ARRAY_STRINGS` type fields are formatted as a CSV value.

By default, they have the following formatting:
- Semicolon (`;`) is used as the separator
- Single quotes (`'`) are used as the quote character
- Single quotes (`'`) are used as the quote escape character: (`''`)
- No quote escape escape value is set, as it is not needed
- All values are quoted

### Flag type formatting

`BOOLEAN_FLAGS`, `MAP_SCALARS`, and `LEGACY_ACCOUNT_TAG_EFFECTS` type fields are split into multiple columns based on the column's flags. The field names will be formatted in the following way: `{field}_{flag}`.

### Query Restrictions

Columns with type `KEYWORD_SEARCH` or the `filterOnly` property set to `true` can't be included in data table exports. Attempting to select them as part of `fields` will cause the export request to fail.

### Sorting Restrictions

When a `sort` is provided in the request body, it will only apply to data table exports under 2 million rows. For exports over 2 million rows, no sorting will be applied to improve performance.

### Permissions
- `api.data-tables.read`
